Page MenuHome

set length and angle [v0.2]
Closed, ResolvedPublicPATCH

Description

NirenYang [BlenderCN]

location:
[Toolbar][Tools][Mesh Tools][edges set]:
set Length(Shit+Alt+E)
set Angle(Ctrl+Shit+Alt+E)

link:
http://blenderartists.org/forum/newthread.php?do=newthread&f=48
http://bbs.blendercn.org/forum.php?mod=viewthread&tid=1923

Download | 下载

Event Timeline

Danyang Yi (nirenyang) created this task.EditedMay 2 2014, 7:39 PM
Danyang Yi (nirenyang) claimed this task.
Danyang Yi (nirenyang) raised the priority of this task from to 90.
Danyang Yi (nirenyang) updated the task description. (Show Details)
Danyang Yi (nirenyang) edited a custom field.

remove un using info.

remove un using info.

remove un using info.

Very good! You've done this so quickly!

I used this and I found several inconvenient design:
1.We need a REAL TIME number input support to perform a faster editing.(can be included in modal)
2.Sometimes multiple edges should be allowed to edit at the same time.
3.Should have ratio-control of scaling origion position,not just begin-center-end.(Well,what's more:how could you tell which of the two vertices is the 'begin' one?)
4.should support object transform matrix.

Thx.
-A@ChengDu-

Campbell Barton (campbellbarton) lowered the priority of this task from 90 to Normal.May 5 2014, 9:51 PM
Danyang Yi (nirenyang) renamed this task from mesh_edge_set_length to set length and angle.May 13 2014, 3:50 PM
Danyang Yi (nirenyang) updated the task description. (Show Details)

update to low level addon in the 1st.

Danyang Yi (nirenyang) renamed this task from set length and angle to set length and angle [0.2].May 13 2014, 3:57 PM
Danyang Yi (nirenyang) renamed this task from set length and angle [0.2] to set length and angle [v0.2].
Brendon Murphy (meta-androcto) changed the task status from Unknown Status to Resolved.Apr 19 2016, 9:22 AM

@Danyang Yi (nirenyang)
Hi, your addon has been accepted & committed into mesh extra tools in contrib. If you have any future updates please create a new patch task & I will attend to.
Thank you for your participation.
Closing as resolved.